Package org.kapott.hbci.structures

# Class Saldo

java.lang.Object
org.kapott.hbci.structures.Saldo

All Implemented Interfaces:
  `Serializable`

public final class Saldo extends Object implements Serializable
Darstellung eines Saldos. Anders als bei der Darstellung als einfacher Wert wird hier der absolute Betrag des Wertes gespeichert. Es gibt ein separates Kennzeichen für die Unterscheidung zwischen Soll und Haben.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Date`
`timestamp`
Zeitpunkt der Gültigkeit dieses Saldos.
`Value`
`value`
Betrag des Saldos.

## Constructor Summary

Constructors
Constructor
Description
`Saldo()`
Anlegen eines neuen Saldo-Objektes

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Umwandeln des Saldos in eine String-Darstellung.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### value

public Value value
Betrag des Saldos.

### timestamp

public Date timestamp
Zeitpunkt der Gültigkeit dieses Saldos.

## Constructor Details

### Saldo

public Saldo()
Anlegen eines neuen Saldo-Objektes

## Method Details

### toString

public String toString()
Umwandeln des Saldos in eine String-Darstellung. Das Format ist dabei folgendes:

    <timestamp> ["+"|"-"] <value>

Overrides:
  `toString` in class `Object`
Returns:
  Stringdarstellung des Saldos